StorePickupTimeReadonlyProperties:
  type: object
  properties:
    id:
      type: integer
      description: Идентификатор записи о времени отгрузки
      example: 1
    created_at:
      type: string
      format: date-time
      description: Время создания записи о времени отгрузки
      example: "2021-01-15T14:55:35.000000Z"
    updated_at:
      type: string
      format: date-time
      description: Время обновления записи о времени отгрузки
      example: "2021-01-15T14:55:35.000000Z"
  required:
    - id
    - created_at
    - updated_at

StorePickupTimeFillableProperties:
  type: object
  properties:
    store_id:
      type: integer
      description: ID склада
      example: 17
    day:
      type: integer
      description: День недели (1-7)
      example: 3
    pickup_time_code:
      nullable: true
      type: string
      description: Код времени отгрузки у службы доставки
      example: 12-14
    pickup_time_start:
      type: string
      description: Время начала отгрузки
      example: '14:00:00'
    pickup_time_end:
      type: string
      description: Время окончания отгрузки
      example: '18:00:00'
    delivery_service:
      nullable: true
      type: integer
      description: Служба доставки (если указана, то данная информация переопределяет данные дня недели без службы доставки)
      example: 17

StorePickupTimeFillableRequiredProperties:
  required:
    - store_id
    - day
    - pickup_time_code
    - pickup_time_start
    - pickup_time_end
    - delivery_service

StorePickupTime:
  allOf:
    - $ref: '#/StorePickupTimeReadonlyProperties'
    - $ref: '#/StorePickupTimeFillableProperties'
    - $ref: '#/StorePickupTimeFillableRequiredProperties'

CreateStorePickupTimeRequest:
  allOf:
    - $ref: '#/StorePickupTimeFillableProperties'
    - $ref: '#/StorePickupTimeFillableRequiredProperties'

PatchStorePickupTimeRequest:
  allOf:
    - $ref: '#/StorePickupTimeFillableProperties'

StorePickupTimeResponse:
  type: object
  properties:
    data:
      $ref: '#/StorePickupTime'
    meta:
      type: object
  required:
    - data
